---
title: Get the Content Scanning status for a zone.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Content Scanning](https://developers.cloudflare.com/api/go/resources/content_scanning)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get the Content Scanning status for a zone.

client.ContentScanning.Get(ctx, query) (\*[ContentScanningGetResponse](<https://developers.cloudflare.com/api/go/resources/content_scanning#(resource)%20content_scanning%20%3E%20(model)%20ContentScanningGetResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/content-upload-scan/settings

Get the current Content Scanning status for the zone, together with the date the status was last modified.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone WAF Write``Zone WAF Read``Account WAF Write``Account WAF Read`

##### ParametersExpand Collapse

<details>

<summary>

query ContentScanningGetParams

</summary>

ZoneID param.Field\[string]

Defines an identifier.

maxLength32

<a href="#(resource)%20content_scanning%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20content_scanning%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type ContentScanningGetResponse struct{…}

Defines the status for Content Scanning.

</summary>

Modified stringOptional

Defines the last modification date (ISO 8601) of the Content Scanning status.

<a href="#(resource)%20content_scanning%20%3E%20(model)%20ContentScanningGetResponse%20%3E%20(schema)%20%3E%20(property)%20modified">Link to this property</a>

Value stringOptional

Defines the status of Content Scanning.

<a href="#(resource)%20content_scanning%20%3E%20(model)%20ContentScanningGetResponse%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

[Link to this property](<#(resource)%20content_scanning%20%3E%20(model)%20ContentScanningGetResponse%20%3E%20(schema)>)

### Get the Content Scanning status for a zone.

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/content_scanning"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  contentScanning, err := client.ContentScanning.Get(context.TODO(), content_scanning.ContentScanningGetParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", contentScanning.Modified)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "modified": "2024-12-02T09:57:23.150259Z",
    "value": "enabled"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "modified": "2024-12-02T09:57:23.150259Z",
    "value": "enabled"
  },
  "success": true
}
```